---
title: "👨‍💻 Héberge un podcast sur Froggit avec Staticast | Live coding GitLab"
date: "2023-05-16"
categories: 
  - "live-coding"
  - "videos"
tags: 
  - "astro"
  - "devops"
  - "froggit"
  - "git"
  - "gitlab"
  - "livecoding"
  - "page"
  - "tuto"
coverImage: "Héberge-un-podcast-sur-gitlab-froggit-pages-avec-Staticast-Live-coding.png"
---

## 🐸 Et si j’hébergeais mon podcast sur Froggit ? On va essayer de déployer un site Staticast sur les Froggit pages.
<!-- truncate -->

<iframe title="YouTube video player" src="https://www.youtube.com/embed/3I3WBKgmOEY" width="560" height="315" frameborder="0" allowfullscreen="allowfullscreen"></iframe>

#### 💬 Rejoins la communauté des Compagnons du DevOps : https://www.compagnons-devops.fr

On découvre ça ensemble ? On fait aussi un premier déploiement grâce aux Froggit Pages.

### Programme

00:00 Début du live et introduction 05:35 Présentation de Staticast 01:42:53 Mise en ligne du site sur les Froggit Pages 02:28:15 Vérification que les applications de podcast arrivent à l'intégrer 02:53:32 Clôture / Les prochains Lives 📅 Le calendrier des Lives : [https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now](https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now) Pour l’intégrer dans ton agenda : [https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export](https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export)

💖 Tu peux soutenir mon travail et la communauté sur : [https://soutenir.compagnons-devops.fr](https://soutenir.compagnons-devops.fr)

### Les liens :

- Arnaud Ligny — La genèse de Cecil : [https://youtu.be/FTpBS7g7YnI](https://youtu.be/FTpBS7g7YnI)
- Podcast Double Slash Générer un site statique avec PHP grâce à Cecil : [https://youtu.be/QdP5KWwyPo4](https://youtu.be/QdP5KWwyPo4)
- Staticast : [https://staticast.cecil.app/](https://staticast.cecil.app/)
- Cecil : [https://cecil.app/fr/](https://cecil.app/fr/)
- Noms des GitLab pages par défaut: [https://docs.gitlab.com/ee/user/project/pages/getting\_started\_part\_one.html#gitlab-pages-default-domain-names](https://docs.gitlab.com/ee/user/project/pages/getting_started_part_one.html#gitlab-pages-default-domain-names)
- Projet sur Froggit : [https://lab.frogg.it/poc-staticast/poc-staticast.froggit.page](https://lab.frogg.it/poc-staticast/poc-staticast.froggit.page)

Faire des palettes de couleurs : [https://coolors.co/](https://coolors.co/)

🎓 Prend un raccourci dans l’apprentissage de Git et de GitLab : [https://vu.fr/AcademieFroggit](https://vu.fr/AcademieFroggit)

### Ma Config :

- Oh My ZSH : [https://ohmyz.sh/](https://ohmyz.sh/)
- Mes dotfiles : [https://gitlab.com/cchaudier/dotfiles-local](https://gitlab.com/cchaudier/dotfiles-local)
- Ils utilisent : [https://github.com/thoughtbot/dotfiles](https://github.com/thoughtbot/dotfiles)
- Zettlr mon logiciel de prise de note et éditeur MarkDown : [https://www.zettlr.com/](https://www.zettlr.com/)
- Mon IDE : [https://vscodium.com/](https://vscodium.com/)
- Mon gestionnaire de merge et des conflits : [http://meldmerge.org/](http://meldmerge.org/)
- Je stream avec OBS Studio : [https://obsproject.com/](https://obsproject.com/)

🎁 Rejoins la communauté #Froggit et télécharge mon antisèche git : [https://froggit.fr/communaute](https://froggit.fr/communaute)

—

📩 Si tu n'es pas déjà abonné, alors **abonne-toi** pour ne pas rater les prochaines vidéos. ❓ Pose-moi une question : [http://question.compagnons-devops.fr](http://question.compagnons-devops.fr)

💬 Si tu as envie de discuter du mouvement, le plus simple est que tu nous rejoignes dans la communauté des compagnons du DevOps : [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr)

* * *

### Crédits :

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe/](https://lydra.fr/ea-3-le-podcasteur-christophe/) - LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier)
- L'image est de freepik : [https://www.freepik.com/free-photo/medium-shot-smiley-men-recording-podcast\_27645323.htm](https://www.freepik.com/free-photo/medium-shot-smiley-men-recording-podcast_27645323.htm)

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

* * *

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

#Tuto #LiveCoding #DevOps #Git #GitLab #page #Astro #Froggit
