---
title: "🔴 Un gestionnaire de partage de secrets open-source sécurisé | Live Meetup avec Passbolt"
date: "2023-06-12"
categories: 
  - "rencontre-virtuelles"
  - "videos"
tags: 
  - "cloud"
  - "devops"
  - "live"
  - "meetup"
  - "securite"
coverImage: "🔴-Une-solution-open-source-de-gestion-de-secrets-axée-sur-la-sécurité-et-le-partage-Live-Meetup-avec-Passbolt.png"
---

## 🤯 Je te propose de découvrir Passbolt une solution de gestion des mots de passes libre avec une approche particulière de la sécurité.
<!-- truncate -->

<iframe title="YouTube video player" src="https://www.youtube.com/embed/r9NN4LgtXDw" width="560" height="315" frameborder="0" allowfullscreen="allowfullscreen"></iframe>

Profite d'une réduction de 20% avec le coupon L-C-DU-DEVOPS : [https://bref.lydra.fr/passbolt](https://bref.lydra.fr/passbolt)

💬 Si tu as envie de participer aux prochains Lives Meetup en direct inscrit toi aux Compagnons du DevOps : [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr)

 

L'objet de ce meetup est de remettre en perspective les risques et l'état actuel du marché sur la gestion des secrets (passwords et secrets).

L'approche de Passbolt est différente comparé aux autres password manager (US based).

Les slides sont là pour poser le décor, le gros des explications sur le security model sera dans la demo en direct.

C'est en tous cas ce que nous promet Maxence Zanardo de Passbolt.

 

## Sommaire

00:00 Introduction 02:46 La présentation 32:07 Partenariat Passbolt 20% de réduction sur l'offre Cloud ou self hosted : L-C-DU-DEVOPS 33:05 Questions du Chat 01:07:30 Clôture

 

Le format des rencontres virtuelles des Compagnons du DevOps est simple :

- Un talk de 10 à 30 min, celui-là fera exceptionnellement 45 min
- Les questions du chat
- Le Live dure environ 1h

Le Live exclusif et privés pour les Compagnons. Le lien est envoyé par mail et disponible sur le Forum. Et ils sont les seul sur le chat. Le replay est disponible sur le forum pendant 1 mois. Puis il deviens publique 1 mois plus tard. La fréquence est aléatoire.

📣 Propose ton talk : [https://forum.compagnons-devops.fr/t/proposez-vos-talks/1681](https://forum.compagnons-devops.fr/t/proposez-vos-talks/1681)

📅 Le calendrier des Lives : [https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now](https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now) Pour l’intégrer dans ton agenda : [https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export](https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export)

 

## Les liens

- Le support de présentation : [https://docs.google.com/presentation/d/1CfAvK5G0MylgYnNbouSEmMkf04fuvdxaeeyWrAiEhfM](https://docs.google.com/presentation/d/1CfAvK5G0MylgYnNbouSEmMkf04fuvdxaeeyWrAiEhfM)
- Le site de Passbolt : [https://bref.lydra.fr/passbolt](https://bref.lydra.fr/passbolt)
- Podcast sur les secrets avec l'Infrastructure as Code : [https://youtu.be/6s4P4R820Yg](https://youtu.be/6s4P4R820Yg)
- Le secret sharding : [https://www.lebigdata.fr/sharding-definition-avantage](https://www.lebigdata.fr/sharding-definition-avantage)
- [https://www.apereo.org/projects/cas](https://www.apereo.org/projects/cas)
- Dépôt github
- Managing Secrets in Ansible using passbolt : [https://blog.passbolt.com/managing-secrets-in-ansible-using-passbolt-87af031ceab6](https://blog.passbolt.com/managing-secrets-in-ansible-using-passbolt-87af031ceab6)
- Gitlab CI/CD and passbolt secrets automation : [https://blog.passbolt.com/gitlab-ci-cd-and-passbolt-secrets-automation-cecc1e09be30](https://blog.passbolt.com/gitlab-ci-cd-and-passbolt-secrets-automation-cecc1e09be30)
- Installing passbolt with Helm : [https://blog.passbolt.com/installing-passbolt-with-helm-f9b685016c67](https://blog.passbolt.com/installing-passbolt-with-helm-f9b685016c67)

💖 Soutiens mon travail et la communauté : [https://soutenir.compagnons-devops.fr/](https://soutenir.compagnons-devops.fr/)

 

### MON JOBBOARD

[💼 Trouve ton job de rêve 💼](https://vu.fr/jobboard-DevOps) 

[👔 Recrute avec moi 👔](https://vu.fr/jobboard-DevOps-recrute) 

## Mes antisèches

🎁 git : [https://bref.lydra.fr/antisechegit](https://bref.lydra.fr/antisechegit) 🐳 Docker : [https://bref.lydra.fr/antisechedocker](https://bref.lydra.fr/antisechedocker)

 

🎓 Forge toi un état d'esprit DevOps : [https://vu.fr/devops-mindset](https://vu.fr/devops-mindset) 🔀 Ma RoadMap DevOps : [https://vu.fr/RoadmapDevOps](https://vu.fr/RoadmapDevOps)

 

 

## Crédits

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe](https://lydra.fr/ea-3-le-podcasteur-christophe) - LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier)

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires. L'image est de regularguy.eth : [https://unsplash.com/fr/photos/RcvQHQB9zgA](https://unsplash.com/fr/photos/RcvQHQB9zgA)

📩 Si tu n'es pas déjà abonné, alors abonne-toi pour ne pas rater les prochaines vidéos. ❓ Pose-moi une question : [http://question.compagnons-devops.fr](http://question.compagnons-devops.fr)

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

#DevOps #Live #MeetUp #cloud #sécurité
