---
title: "🖥️ L'ARM revient chez Scaleway | En Aparté avec Sébastien Luttringer"
date: "2023-06-15"
categories: 
  - "en-aparte"
  - "podcast"
tags: 
  - "actualite"
  - "arm"
  - "cloud"
  - "devops"
  - "ecologie"
  - "podcast"
coverImage: "YT_En_Aparté_.png"
---

## 👩‍💻 Aujourd'hui avec Sébastien, on ne va pas parler directement d'écologie mais d'ARM !
<!-- truncate -->

<iframe src="//www.youtube.com/embed/_fTgmOXmFzQ" width="560" height="314" allowfullscreen="allowfullscreen"></iframe>

**💬 Rejoins-nous !** Viens nous donner ton avis sur le sujet dans la [communauté des Compagnons du DevOps](https://www.compagnons-devops.fr/).

 

## Sommaire

00:00 Introduction 01:27 Qui est-il ? 03:14 Sa rencontre avec le DevOps 04:49 Qu'est ce que ça à changé dans sa vie ? 06:24 le retour des serveurs ARM chez Scaleway 12:37 AMP2 n'est pas destiné à la production, quels pourrait-être les usages actuels ? 17:04 Est-ce que vous sentez une demande du marché ? 22:12 L'équipe Scaleway Labs et ce qu'elle fait 24:09 Faites vous du libre des recherches qui ne servent pas votre business ? 28:02 Différence de gestion entre serveurs classiques et ARM 31:09 Design des rack, qui s'occupe de quoi ? 34:28 Quels gain découlent des ARM en place et energie ? 38:37 Quelle est la durée de vie d'un tel serveur ? 41:37 Scaleway envisage t-il des services managés a base d'ARM ? 45:14 Les puces libres RISK-V 47:46 La reco de Sébastien

- Le livre Il était une fois Linux : [https://www.eyrolles.com/Informatique/Livre/il-etait-une-fois-linux-9782746403215/](https://www.eyrolles.com/Informatique/Livre/il-etait-une-fois-linux-9782746403215/)
- [https://www.youtube.com/@ScienceClic](https://www.youtube.com/@ScienceClic)
- [https://www.youtube.com/@ScienceEtonnante](https://www.youtube.com/@ScienceEtonnante)
- [https://www.radiofrance.fr/franceculture/podcasts/la-conversation-scientifique](https://www.radiofrance.fr/franceculture/podcasts/la-conversation-scientifique) 49:33 Les réseaux de Sébastien Luttringer :
- Blog : [https://seblu.net/](https://seblu.net/)
- LinkedIn : [https://www.linkedin.com/in/seblu/](https://www.linkedin.com/in/seblu/)
- Twitter : [https://twitter.com/seblu84](https://twitter.com/seblu84) 51:05 Rejoins les Compagnons du DevOps [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr)

 

## Liens

- Le site de Scaleway : [https://bref.lydra.fr/scaleway](https://bref.lydra.fr/scaleway)
- La roadmap compute : [https://www.scaleway.com/en/blog/compute-roadmap-2023/](https://www.scaleway.com/en/blog/compute-roadmap-2023/)
- L'annonce sur Linkedin : [https://www.linkedin.com/feed/update/urn:li:activity:7043634360486420480/](https://www.linkedin.com/feed/update/urn:li:activity:7043634360486420480/)
- [https://www.nextinpact.com/article/71281/instances-amp2-altra-max-128-curs-scaleway-nous-parle-son-retour-sur-arm-64-bits](https://www.nextinpact.com/article/71281/instances-amp2-altra-max-128-curs-scaleway-nous-parle-son-retour-sur-arm-64-bits)
- [https://amperecomputing.com/](https://amperecomputing.com/)
- Open BMC : [https://en.wikipedia.org/wiki/OpenBMC](https://en.wikipedia.org/wiki/OpenBMC)
- Le numérique n'est pas le gouffre énergétique qu'on croit : [https://www.usine-digitale.fr/article/le-numerique-n-est-pas-le-gouffre-energetique-qu-on-croit.N368078](https://www.usine-digitale.fr/article/le-numerique-n-est-pas-le-gouffre-energetique-qu-on-croit.N368078)

📩 Si tu n'es pas déjà abonné, alors **abonne-toi** pour ne pas rater les prochaines vidéos. 💬 Rejoins la communauté : [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr) 💖 Tu peu soutenir mon travail et la communauté sur : [https://soutenir.compagnons-devops.fr](https://soutenir.compagnons-devops.fr)

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

## Mon Jobboard

💼 Trouve ton job de rêve : [https://vu.fr/jobboard-DevOps](https://vu.fr/jobboard-DevOps) 👔 Recrute avec moi : [https://vu.fr/jobboard-DevOps-recrute](https://vu.fr/jobboard-DevOps-recrute)

## Mes antisèches

🎁 git : [https://bref.lydra.fr/antisechegit](https://bref.lydra.fr/antisechegit) 🐳 Docker : [https://bref.lydra.fr/antisechedocker](https://bref.lydra.fr/antisechedocker) 🔀 Ma RoadMap DevOps : [https://vu.fr/RoadmapDevOps](https://vu.fr/RoadmapDevOps)

## Mes formations

🎓 Forge toi un état d'esprit DevOps : [https://vu.fr/devops-mindset](https://vu.fr/devops-mindset)

 

* * *

Bienvenue, chez les compagnons sur **Radio DevOps**. La Baladodiffusion des **Compagnons du DevOps**. Le podcast en français dédié à notre mouvement.

Nos émissions :

- **🗞 Actus Devops :** est une émission animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous étudierons l’actualité Cloud et DevOps.
- **📻 Radio DevOps :** est l'émission phare animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous débattrons sur un sujet de fond.
- **🛋 En aparté :** est une émission où je m’entretiendrai avec un invité sur le mouvement DevOps en entreprise.
- **🎙️ En Solo  :** est une émission où je serai seul pour vous parler de DevOps ou de Cloud.

* * *

## Crédits

Les podcasteurs :

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. professeur vacataire à Télécom Saint-Étienne et au CFAI Loire. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe](https://lydra.fr/ea-3-le-podcasteur-christophe) | LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier) | Froggit : [https://froggit.fr/](https://froggit.fr/)

L'intro et la fin sont de :

- Baptiste Gaillet : FullStack développeur avec une tendance DevOps au Centre Scientifique et Technique du Bâtiment, Fondateur et développeur de l'application BedFoodCoffee pour aider les personnes en difficultés. Après des études dans le son et différents métiers, il a effectué une reconversion professionnelle en 2015 pour devenir développeur (Formation diplômante dans le cadre d’un CIF). LinkedIn : [https://www.linkedin.com/in/baptiste-gaillet-223832b4](https://www.linkedin.com/in/baptiste-gaillet-223832b4) | Twitter : [https://twitter.com/bat79a](https://twitter.com/bat79a)
- La musique d'intro est _"Tupac Lives"_ de John Bartmann : [https://pixabay.com/fr/music](https://pixabay.com/fr/music)
- La musique de fin est _"Passport"_ de Purple planet : [https://www.purple-planet.com/passport](https://www.purple-planet.com/passport)

L'image est de Christian Wiediger : [https://unsplash.com/fr/photos/Htfy7TaDBgo](https://unsplash.com/fr/photos/Htfy7TaDBgo)

Le montage est de Louna HO : [https://www.linkedin.com/in/louna-ho-0656801b1/](https://www.linkedin.com/in/louna-ho-0656801b1/)

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

#DevOps #Actualités #podcast #cloud #ARM #écologie
